## com.puppycrawl.tools.checkstyle.grammars
Class GeneratedJavaRecognizer

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              com.puppycrawl.tools.checkstyle.grammars.GeneratedJavaRecognizer

All Implemented Interfaces:
  GeneratedJavaTokenTypes

    public class GeneratedJavaRecognizer

extends antlr.LLkParser
implements GeneratedJavaTokenTypes

Java 1.5 Recognizer This grammar is in the PUBLIC DOMAIN

Field Summary
`static String[]` `_tokenNames`
`static antlr.collections.impl.BitSet` `_tokenSet_0`
`static antlr.collections.impl.BitSet` `_tokenSet_1`
`static antlr.collections.impl.BitSet` `_tokenSet_10`
`static antlr.collections.impl.BitSet` `_tokenSet_11`
`static antlr.collections.impl.BitSet` `_tokenSet_12`
`static antlr.collections.impl.BitSet` `_tokenSet_13`
`static antlr.collections.impl.BitSet` `_tokenSet_14`
`static antlr.collections.impl.BitSet` `_tokenSet_15`
`static antlr.collections.impl.BitSet` `_tokenSet_16`
`static antlr.collections.impl.BitSet` `_tokenSet_17`
`static antlr.collections.impl.BitSet` `_tokenSet_18`
`static antlr.collections.impl.BitSet` `_tokenSet_19`
`static antlr.collections.impl.BitSet` `_tokenSet_2`
`static antlr.collections.impl.BitSet` `_tokenSet_20`
`static antlr.collections.impl.BitSet` `_tokenSet_21`
`static antlr.collections.impl.BitSet` `_tokenSet_22`
`static antlr.collections.impl.BitSet` `_tokenSet_23`
`static antlr.collections.impl.BitSet` `_tokenSet_24`
`static antlr.collections.impl.BitSet` `_tokenSet_25`
`static antlr.collections.impl.BitSet` `_tokenSet_26`
`static antlr.collections.impl.BitSet` `_tokenSet_27`
`static antlr.collections.impl.BitSet` `_tokenSet_28`
`static antlr.collections.impl.BitSet` `_tokenSet_29`
`static antlr.collections.impl.BitSet` `_tokenSet_3`
`static antlr.collections.impl.BitSet` `_tokenSet_30`
`static antlr.collections.impl.BitSet` `_tokenSet_31`
`static antlr.collections.impl.BitSet` `_tokenSet_32`
`static antlr.collections.impl.BitSet` `_tokenSet_33`
`static antlr.collections.impl.BitSet` `_tokenSet_34`
`static antlr.collections.impl.BitSet` `_tokenSet_35`
`static antlr.collections.impl.BitSet` `_tokenSet_36`
`static antlr.collections.impl.BitSet` `_tokenSet_37`
`static antlr.collections.impl.BitSet` `_tokenSet_38`
`static antlr.collections.impl.BitSet` `_tokenSet_39`
`static antlr.collections.impl.BitSet` `_tokenSet_4`
`static antlr.collections.impl.BitSet` `_tokenSet_40`
`static antlr.collections.impl.BitSet` `_tokenSet_41`
`static antlr.collections.impl.BitSet` `_tokenSet_42`
`static antlr.collections.impl.BitSet` `_tokenSet_43`
`static antlr.collections.impl.BitSet` `_tokenSet_44`
`static antlr.collections.impl.BitSet` `_tokenSet_45`
`static antlr.collections.impl.BitSet` `_tokenSet_46`
`static antlr.collections.impl.BitSet` `_tokenSet_5`
`static antlr.collections.impl.BitSet` `_tokenSet_6`
`static antlr.collections.impl.BitSet` `_tokenSet_7`
`static antlr.collections.impl.BitSet` `_tokenSet_8`
`static antlr.collections.impl.BitSet` `_tokenSet_9`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface com.puppycrawl.tools.checkstyle.grammars.GeneratedJavaTokenTypes

`ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ARRAY_INIT, ASSERT, ASSIGN, AT, BAND, BAND_ASSIGN, BINARY_DIGIT, BINARY_EXPONENT, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CHAR_LITERAL, CLASS_DEF, COLON, COMMA, CTOR_CALL, CTOR_DEF, DEC, DIV, DIV_ASSIGN, DO_WHILE, DOT, DOUBLE_LITERAL, ELIST, ELLIPSIS, EMPTY_STAT, ENUM, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_LITERAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_INIT, FOR_ITERATOR, GE, GENERIC_END, GENERIC_START, GT, HEX_DIGIT, HEX_DOUBLE_LITERAL, HEX_FLOAT_LITERAL, ID_PART, ID_START, IDENT, IMPLEMENTS_CLAUSE, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INT_LITERAL, INTERFACE_DEF, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_default, LITERAL_do, LITERAL_double, LITERAL_else, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_throw, LITERAL_throws, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LONG_LITERAL, LOR, LPAREN, LT, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, NOT_EQUAL, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RBRACK, RCURLY, RESOURCE, RESOURCE_SPECIFICATION, RESOURCES, RPAREN, SEMI, SIGNED_INTEGER, SL, SL_ASSIGN, SL_COMMENT, SLIST, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STD_ESC, STRICTFP, STRING_LITERAL, SUPER_CTOR_CALL, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_EXTENSION_AND, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, VARIABLE_DEF, VOCAB, WILDCARD_TYPE, WS`

Constructor Summary
`` `GeneratedJavaRecognizer(antlr.ParserSharedInputState state)`
`` `GeneratedJavaRecognizer(antlr.TokenBuffer tokenBuf)`
`protected` `GeneratedJavaRecognizer(antlr.TokenBuffer tokenBuf, int k)`
`` `GeneratedJavaRecognizer(antlr.TokenStream lexer)`
`protected` `GeneratedJavaRecognizer(antlr.TokenStream lexer, int k)`

Method Summary
`void` `aCase()`
`void` `additiveExpression()`
`void` `andExpression()`
`void` `annotation()`
`void` `annotationArguments()`
`void` `annotationBlock()`
`void` `annotationDefault()`
`void` `annotationDefinition(antlr.collections.AST modifiers)`
`void` `annotationExpression()`
`void` `annotationField()`
`void` `annotationMemberArrayInitializer()`
`void` `annotationMemberArrayValueInitializer()`
`void` `annotationMemberValueInitializer()`
`void` `annotationMemberValuePair()`
`void` `annotationMemberValuePairs()`
`void` `annotations()`
`void` `argList()`
`void` `arrayInitializer()`
`void` `assertStatement()`
`void` `assignmentExpression()`
`protected void` `buildTokenTypeASTClassMap()`
`void` `builtInType()`
`void` `builtInTypeArraySpec(boolean addImagNode)`
`void` `builtInTypeSpec(boolean addImagNode)`
`void` `casesGroup()`
`void` `caseSList()`
`void` `classBlock()`
`void` `classDefinition(antlr.collections.AST modifiers)`
`void` `classOrInterfaceType(boolean addImagNode)`
`void` `classTypeSpec(boolean addImagNode)`
`void` `compilationUnit()`
`void` `compoundStatement()`
`void` `conditionalExpression()`
`void` `constant()`
`void` `constructorBody()`
`void` `ctorHead()`
`void` `declaration()` A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list.
`void` `declaratorBrackets(antlr.collections.AST typ)`
`void` `elseStatement()`
`void` `enumBlock()`
`void` `enumConstant()`
`void` `enumConstantBlock()`
`void` `enumConstantField()`
`void` `enumDefinition(antlr.collections.AST modifiers)`
`void` `equalityExpression()`
`void` `exclusiveOrExpression()`
`void` `explicitConstructorInvocation()`
`void` `expression()`
`void` `expressionList()`
`void` `field()`
`void` `finallyHandler()`
`void` `forCond()`
`void` `forEachClause()`
`void` `forEachDeclarator()`
`void` `forInit()`
`void` `forIter()`
`void` `forStatement()`
`void` `handler()`
`void` `identifier()`
`void` `identifierStar()`
`void` `implementsClause()`
`void` `importDefinition()`
`void` `inclusiveOrExpression()`
`void` `initializer()`
`void` `interfaceDefinition(antlr.collections.AST modifiers)`
`void` `interfaceExtends()`
`void` `logicalAndExpression()`
`void` `logicalOrExpression()`
`void` `modifier()`
`void` `modifiers()`
`void` `multiCatchTypes()`
`void` `multiplicativeExpression()`
`void` `newArrayDeclarator()`
`void` `newExpression()` object instantiation.
`void` `packageDefinition()`
`void` `parameterDeclaration()`
`void` `parameterDeclarationList()`
`void` `parameterModifier()`
`void` `postfixExpression()`
`void` `primaryExpression()`
`void` `relationalExpression()`
`void` `resource_assign()`
`void` `resource()`
`void` `resources()`
`void` `resourceSpecification()`
`void` `shiftExpression()`
`void` `statement()`
`void` `superClassClause()`
`void` `throwsClause()`
`void` `traditionalForClause()`
`void` `traditionalStatement()`
`void` `tryBlock()`
`void` `type()`
`void` `typeArgument(boolean addImagNode)`
`void` `typeArgumentBounds(boolean addImagNode)`
`void` `typeArguments(boolean addImagNode)`
`protected void` `typeArgumentsOrParametersEnd()`
`void` `typeDefinition()`
`protected void` `typeDefinitionInternal(antlr.collections.AST modifiers)`
`void` `typeParameter()`
`void` `typeParameterBounds()`
`void` `typeParameters()`
`void` `typeSpec(boolean addImagNode)`
`void` `unaryExpression()`
`void` `unaryExpressionNotPlusMinus()`
`void` `variableDeclarator(antlr.collections.AST mods, antlr.collections.AST t)` Declaration of a variable.
`void` `variableDefinitions(antlr.collections.AST mods, antlr.collections.AST t)`
`void` `variableLengthParameterDeclaration()`
`void` `varInitializer()`
`void` `wildcardType(boolean addImagNode)`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser

`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

### _tokenSet_10

    public static final antlr.collections.impl.BitSet _tokenSet_10

### _tokenSet_11

    public static final antlr.collections.impl.BitSet _tokenSet_11

### _tokenSet_12

    public static final antlr.collections.impl.BitSet _tokenSet_12

### _tokenSet_13

    public static final antlr.collections.impl.BitSet _tokenSet_13

### _tokenSet_14

    public static final antlr.collections.impl.BitSet _tokenSet_14

### _tokenSet_15

    public static final antlr.collections.impl.BitSet _tokenSet_15

### _tokenSet_16

    public static final antlr.collections.impl.BitSet _tokenSet_16

### _tokenSet_17

    public static final antlr.collections.impl.BitSet _tokenSet_17

### _tokenSet_18

    public static final antlr.collections.impl.BitSet _tokenSet_18

### _tokenSet_19

    public static final antlr.collections.impl.BitSet _tokenSet_19

### _tokenSet_20

    public static final antlr.collections.impl.BitSet _tokenSet_20

### _tokenSet_21

    public static final antlr.collections.impl.BitSet _tokenSet_21

### _tokenSet_22

    public static final antlr.collections.impl.BitSet _tokenSet_22

### _tokenSet_23

    public static final antlr.collections.impl.BitSet _tokenSet_23

### _tokenSet_24

    public static final antlr.collections.impl.BitSet _tokenSet_24

### _tokenSet_25

    public static final antlr.collections.impl.BitSet _tokenSet_25

### _tokenSet_26

    public static final antlr.collections.impl.BitSet _tokenSet_26

### _tokenSet_27

    public static final antlr.collections.impl.BitSet _tokenSet_27

### _tokenSet_28

    public static final antlr.collections.impl.BitSet _tokenSet_28

### _tokenSet_29

    public static final antlr.collections.impl.BitSet _tokenSet_29

### _tokenSet_30

    public static final antlr.collections.impl.BitSet _tokenSet_30

### _tokenSet_31

    public static final antlr.collections.impl.BitSet _tokenSet_31

### _tokenSet_32

    public static final antlr.collections.impl.BitSet _tokenSet_32

### _tokenSet_33

    public static final antlr.collections.impl.BitSet _tokenSet_33

### _tokenSet_34

    public static final antlr.collections.impl.BitSet _tokenSet_34

### _tokenSet_35

    public static final antlr.collections.impl.BitSet _tokenSet_35

### _tokenSet_36

    public static final antlr.collections.impl.BitSet _tokenSet_36

### _tokenSet_37

    public static final antlr.collections.impl.BitSet _tokenSet_37

### _tokenSet_38

    public static final antlr.collections.impl.BitSet _tokenSet_38

### _tokenSet_39

    public static final antlr.collections.impl.BitSet _tokenSet_39

### _tokenSet_40

    public static final antlr.collections.impl.BitSet _tokenSet_40

### _tokenSet_41

    public static final antlr.collections.impl.BitSet _tokenSet_41

### _tokenSet_42

    public static final antlr.collections.impl.BitSet _tokenSet_42

### _tokenSet_43

    public static final antlr.collections.impl.BitSet _tokenSet_43

### _tokenSet_44

    public static final antlr.collections.impl.BitSet _tokenSet_44

### _tokenSet_45

    public static final antlr.collections.impl.BitSet _tokenSet_45

### _tokenSet_46

    public static final antlr.collections.impl.BitSet _tokenSet_46

Constructor Detail

### GeneratedJavaRecognizer

    protected GeneratedJavaRecognizer(antlr.TokenBuffer tokenBuf,
                                      int k)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(antlr.TokenBuffer tokenBuf)

### GeneratedJavaRecognizer

    protected GeneratedJavaRecognizer(antlr.TokenStream lexer,
                                      int k)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(antlr.TokenStream lexer)

### GeneratedJavaRecognizer

    public GeneratedJavaRecognizer(antlr.ParserSharedInputState state)

Method Detail

### compilationUnit

    public final void compilationUnit()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotations

    public final void annotations()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### packageDefinition

    public final void packageDefinition()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### importDefinition

    public final void importDefinition()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeDefinition

    public final void typeDefinition()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### identifier

    public final void identifier()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### identifierStar

    public final void identifierStar()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### modifiers

    public final void modifiers()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeDefinitionInternal

    protected final void typeDefinitionInternal(antlr.collections.AST modifiers)
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### classDefinition

    public final void classDefinition(antlr.collections.AST modifiers)
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### interfaceDefinition

    public final void interfaceDefinition(antlr.collections.AST modifiers)
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enumDefinition

    public final void enumDefinition(antlr.collections.AST modifiers)
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationDefinition

    public final void annotationDefinition(antlr.collections.AST modifiers)
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeSpec

    public final void typeSpec(boolean addImagNode)
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### classTypeSpec

    public final void classTypeSpec(boolean addImagNode)
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### builtInTypeSpec

    public final void builtInTypeSpec(boolean addImagNode)
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### classOrInterfaceType

    public final void classOrInterfaceType(boolean addImagNode)
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeArguments

    public final void typeArguments(boolean addImagNode)
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeArgument

    public final void typeArgument(boolean addImagNode)
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### builtInTypeArraySpec

    public final void builtInTypeArraySpec(boolean addImagNode)
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### wildcardType

    public final void wildcardType(boolean addImagNode)
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeArgumentBounds

    public final void typeArgumentBounds(boolean addImagNode)
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeArgumentsOrParametersEnd

    protected final void typeArgumentsOrParametersEnd()
                                               throws antlr.RecognitionException,
                                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### builtInType

    public final void builtInType()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### type

    public final void type()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### declaration

    public final void declaration()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list.

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### variableDefinitions

    public final void variableDefinitions(antlr.collections.AST mods,
                                          antlr.collections.AST t)
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### modifier

    public final void modifier()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotation

    public final void annotation()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationArguments

    public final void annotationArguments()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationMemberValueInitializer

    public final void annotationMemberValueInitializer()
                                                throws antlr.RecognitionException,
                                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationMemberValuePairs

    public final void annotationMemberValuePairs()
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationMemberValuePair

    public final void annotationMemberValuePair()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationExpression

    public final void annotationExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationMemberArrayInitializer

    public final void annotationMemberArrayInitializer()
                                                throws antlr.RecognitionException,
                                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationMemberArrayValueInitializer

    public final void annotationMemberArrayValueInitializer()
                                                     throws antlr.RecognitionException,
                                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### conditionalExpression

    public final void conditionalExpression()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeParameters

    public final void typeParameters()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### superClassClause

    public final void superClassClause()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### implementsClause

    public final void implementsClause()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### classBlock

    public final void classBlock()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### interfaceExtends

    public final void interfaceExtends()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enumBlock

    public final void enumBlock()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationBlock

    public final void annotationBlock()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeParameter

    public final void typeParameter()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeParameterBounds

    public final void typeParameterBounds()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationField

    public final void annotationField()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### declaratorBrackets

    public final void declaratorBrackets(antlr.collections.AST typ)
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### annotationDefault

    public final void annotationDefault()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enumConstant

    public final void enumConstant()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### field

    public final void field()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### argList

    public final void argList()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enumConstantBlock

    public final void enumConstantBlock()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enumConstantField

    public final void enumConstantField()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### parameterDeclarationList

    public final void parameterDeclarationList()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### throwsClause

    public final void throwsClause()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### compoundStatement

    public final void compoundStatement()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### ctorHead

    public final void ctorHead()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### constructorBody

    public final void constructorBody()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### explicitConstructorInvocation

    public final void explicitConstructorInvocation()
                                             throws antlr.RecognitionException,
                                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### statement

    public final void statement()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### primaryExpression

    public final void primaryExpression()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### variableDeclarator

    public final void variableDeclarator(antlr.collections.AST mods,
                                         antlr.collections.AST t)
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Declaration of a variable. This can be a class/instance variable, or a local variable in a method It can also include possible initialization.

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### varInitializer

    public final void varInitializer()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### initializer

    public final void initializer()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### arrayInitializer

    public final void arrayInitializer()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expression

    public final void expression()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### parameterDeclaration

    public final void parameterDeclaration()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### variableLengthParameterDeclaration

    public final void variableLengthParameterDeclaration()
                                                  throws antlr.RecognitionException,
                                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### parameterModifier

    public final void parameterModifier()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### multiCatchTypes

    public final void multiCatchTypes()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### traditionalStatement

    public final void traditionalStatement()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### assertStatement

    public final void assertStatement()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elseStatement

    public final void elseStatement()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forStatement

    public final void forStatement()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### casesGroup

    public final void casesGroup()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tryBlock

    public final void tryBlock()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forInit

    public final void forInit()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### traditionalForClause

    public final void traditionalForClause()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forEachClause

    public final void forEachClause()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forCond

    public final void forCond()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forIter

    public final void forIter()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forEachDeclarator

    public final void forEachDeclarator()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### aCase

    public final void aCase()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### caseSList

    public final void caseSList()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expressionList

    public final void expressionList()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### resourceSpecification

    public final void resourceSpecification()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### handler

    public final void handler()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### finallyHandler

    public final void finallyHandler()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### resources

    public final void resources()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### resource

    public final void resource()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### resource_assign

    public final void resource_assign()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### assignmentExpression

    public final void assignmentExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### logicalOrExpression

    public final void logicalOrExpression()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### logicalAndExpression

    public final void logicalAndExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### inclusiveOrExpression

    public final void inclusiveOrExpression()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### exclusiveOrExpression

    public final void exclusiveOrExpression()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### andExpression

    public final void andExpression()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### equalityExpression

    public final void equalityExpression()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### relationalExpression

    public final void relationalExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### shiftExpression

    public final void shiftExpression()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### additiveExpression

    public final void additiveExpression()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### multiplicativeExpression

    public final void multiplicativeExpression()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### unaryExpression

    public final void unaryExpression()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### unaryExpressionNotPlusMinus

    public final void unaryExpressionNotPlusMinus()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### postfixExpression

    public final void postfixExpression()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### newExpression

    public final void newExpression()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  object instantiation. Trees are built as illustrated by the following input/tree pairs: new T() new | T -- ELIST | arg1 -- arg2 -- .. -- argn new int[] new | int -- ARRAY_DECLARATOR new int[] {1,2} new | int -- ARRAY_DECLARATOR -- ARRAY_INIT | EXPR -- EXPR | | 1 2 new int[3] new | int -- ARRAY_DECLARATOR | EXPR | 3 new int[1][2] new | int -- ARRAY_DECLARATOR | ARRAY_DECLARATOR -- EXPR | | EXPR 1 | 2

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### constant

    public final void constant()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### newArrayDeclarator

    public final void newArrayDeclarator()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### buildTokenTypeASTClassMap

    protected void buildTokenTypeASTClassMap()

Copyright © 2001-2011. All Rights Reserved.